postgresql-ocaml (2.0.5-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 15:05:28 -0600

postgresql-ocaml (2.0.5-2) unstable; urgency=medium

  * Fix homepage URL.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 10 Aug 2015 19:56:16 +0000

postgresql-ocaml (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 20:12:47 +0100

postgresql-ocaml (2.0.4-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:41:19 +0100

postgresql-ocaml (2.0.4-2) experimental; urgency=low

  * Build-Depend on experimental ocaml-findlib so that ocamlopt works
    properly on new native architectures
  * Update Vcs-* and Homepage

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:27:39 +0200

postgresql-ocaml (2.0.4-1) experimental; urgency=low

  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 22:07:16 +0200

postgresql-ocaml (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Do no longer use CDBS
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 20:14:08 +0200

postgresql-ocaml (1.18.0-1) unstable; urgency=low

  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Mar 2012 10:00:41 +0100

postgresql-ocaml (1.17.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Jan 2012 16:26:36 +0100

postgresql-ocaml (1.16.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Jul 2011 21:17:09 +0200

postgresql-ocaml (1.14.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.9.1
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2011 16:29:40 +0100

postgresql-ocaml (1.12.5-1) unstable; urgency=low

  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 15 May 2010 14:43:40 +0200

postgresql-ocaml (1.12.4-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release (Closes: #564816)
  * Do not force custom mode (Pass NO_CUSTOM=y to make)

  [ Stéphane Glondu ]
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Mar 2010 23:34:36 +0100

postgresql-ocaml (1.12.1-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Do not link system libraries into cma (Closes: #549794).
  * Change include order in debian/rules to workaround a CDBS bug.

  [ Stéphane Glondu ]
  * Switch packaging to dh-ocaml 0.9
  * Lower dependency to ocaml-findlib in libpostgresql-ocaml-dev to
    Recommends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Oct 2009 01:00:29 +0200

postgresql-ocaml (1.12.1-1) unstable; urgency=low

  * New Upstream Version

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Sep 2009 11:12:29 +0200

postgresql-ocaml (1.11.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New Upstream Version
  * Switch patches to quilt
  * Add README.source
  * debian/control:
    - add versioned Breaks to nurpawiki because of binary incompatibility
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Build native plugin, install plugins in libpostgresql-ocaml

  [ Stefano Zacchiroli ]
  * debian/copyright: snip away unnecessary details (which also contained
    an obsolete FSF address), full details are available from
    /usr/share/common-licenses/, as pointed to

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Sep 2009 11:12:17 +0200

postgresql-ocaml (1.10.3-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
  * rebuild against OCaml 3.11
    - bump build-deps accordingly
    - drop obsolete versioned dependencies
  * debian/control
    - bump standards-version to 3.8.0 (no changes needed)
    - add missing ${misc:Depends} to -dev library package
    - add build-dep on dh-ocaml, which now ships the CDBS class
  * debian/rules: use ocaml.mk as a "rules" CDBS snippet
  * debian/*.in: use explicit substitution variables instead of
    making assumption on stdlib dir location
  * debian/patches/
    - clean up obsolete dpatch headers and use dpatch-run
    - examples.dpatch: remove the .in need, invoking ocamlc -where at
      make-time to find the stdlib dir
    - install_destdir.dpatch: delegate mkdir to make rather than dh_*
  * bump debhelper compatibility level to 7
  * debian/docs: s/README/README.txt/ (new upstream name)
  * debian/copyright:
    - switch to machine parseable format
    - use versioned filename references to /usr/share/common-licenses/

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Feb 2009 17:24:40 +0100

postgresql-ocaml (1.7.0-3) unstable; urgency=low

  * update standards-version
    - substitute binary:Version substvar in debian/control for Source-Version,
      now deprecated
  * add Homepage field to debian/control
  * set me as an uploader, d-o-m as the maintainer
  * debian/patches:
    - add description to patches install_destdir.dpatch and examples.dpatch.in
    - fix 00list: it should list examples.dpatch (i.e. examples.dpatch.in
      after it has been generated)
    - refresh examples.dpatch.in to point to the current location of
      OCamlMakefile
  * suggests ocamlmakefile and point out in README.Debian that it is easier
    with it to compile examples
  * add lintian override for missing examples.dpatch patch in 00list; the
    patch is automatically generated from examples.dpatch.in

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 23:37:11 +0100

postgresql-ocaml (1.7.0-2) unstable; urgency=low

  * rebuild against OCaml 3.10 and upload to unstable (closes: #441158)
  * debian/rules
    - enable generation of ocamldoc api reference (via CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 10:51:27 +0200

postgresql-ocaml (1.7.0-1) experimental; urgency=low

  * new upstream release
  * rebuild with OCaml 3.10
  * bump debhelper build-dep and compatibility level to 5
  * debian/patches
    - remove no longer needed patch 05_meta
    - rename patches to more meaningful names
  * debian/rules
    - remove a workaround for dpatch, no longer needed with the latest
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 13 Jul 2007 11:11:42 +0200

postgresql-ocaml (1.5.4-2) unstable; urgency=low

  * debian/rules
    - use ocaml.mk
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:40:01 +0100

postgresql-ocaml (1.5.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/05_meta
    - commented out this patch, in this upstream release version number in
      META matches library version
  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch
    - avoid to create debian/control from debian/control.in on ocamlinit
    - special handling of debian/patches/03_examples:
      + for the examples to be binNMU safe the patch needs to be filled as
        other .in files -> added the patch to OFILES
      + for dpatch to work with a .in patch, the patch must be instantiated
        before cleaning -> added a cdbs pre-clean dep on ocamlinit
  * debian/control.in
    - file removed, no longer needed
  * debian/watch
    - changed web site (upstream web page moved)
    - switched to watch format version 3

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  6 Sep 2006 10:17:43 +0200

postgresql-ocaml (1.4.6-7) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/03_examples.dpatch
    - removed hard coded ocaml ABI versions

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 27 May 2006 12:00:55 +0200

postgresql-ocaml (1.4.6-6) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 22:11:22 +0000

postgresql-ocaml (1.4.6-5) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 22:07:09 +0000

postgresql-ocaml (1.4.6-4) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  7 Jan 2006 14:33:57 +0100

postgresql-ocaml (1.4.6-3) unstable; urgency=low

  * debian/rules
    - proper setting of DEB_MAKE_INSTALL_TARGET when ocamlopt is not
      available, fixes FTBFS on non native code archs

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 13 Nov 2005 14:35:44 +0000

postgresql-ocaml (1.4.6-2) unstable; urgency=low

  * Rebuilt with ocaml 3.09
  * debian/*
    - use cdbs
    - no longer hardcoding of ocaml abi version anywhere
  * debian/control
    - bumped standards version
  * debian/patches/
    - removed CFLAGS from 01_makefile.dpatch, now set via cdbs
    - ported 03_examples.dpatch to ocaml 3.09

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 13 Nov 2005 10:24:55 +0000

postgresql-ocaml (1.4.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - changed dependencies accordingly to new postgresql packaging
  * debian/patches/01_makefile
    - uses pg_config to guess proper include dir
    - uses /dev/null instead of foo.ld.conf to fool findlib ld.conf handling
  * debian/patches/05_meta
    - fix postgresql-ocaml version in upstream META

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 13 Jun 2005 11:10:08 +0200

postgresql-ocaml (1.4.2-2) unstable; urgency=low

  * Rebuilt against ocaml 3.08.3

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 24 Mar 2005 22:37:33 +0100

postgresql-ocaml (1.4.2-1) unstable; urgency=low

  * New upstream release (Closes: Bug#286662)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 21 Dec 2004 16:59:55 +0100

postgresql-ocaml (1.3.3-3) unstable; urgency=medium

  * debian/control
    - depend on ocaml-base-nox-3.08 instead of ocaml-base-3.08 since
      this package doesn't directly need ocaml X libraries

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Aug 2004 12:14:56 +0200

postgresql-ocaml (1.3.3-2) unstable; urgency=low

  * rebuilt with ocaml 3.08
  * debian/control
    - bumped ocaml deps to 3.08
    - bumped standards-version to 3.6.1.1
    - changed ocaml deps to ocaml-nox

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Jul 2004 18:20:53 +0200

postgresql-ocaml (1.3.3-1) unstable; urgency=low

  * Initial Release.

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  4 May 2004 15:33:22 +0200
